%define oname	LibRaw

%define major		5
%define lib_raw		%mklibname raw %{major}
%define lib_raw_r	%mklibname raw_r %{major}
%define devname		%mklibname raw -d

%define subrel	1

Summary:	Library for reading RAW files obtained from digital photo cameras
Name:		libraw
Version:	0.14.7
Release:	%mkrel 5
License:	GPLv3
Group:		System/Libraries
URL:		http://www.libraw.org
Source0:	http://www.libraw.org/data/%{oname}-%{version}.tar.gz
Source1:	http://www.libraw.org/data/%{oname}-demosaic-pack-GPL2-%{version}.tar.gz
Source2:	http://www.libraw.org/data/%{oname}-demosaic-pack-GPL3-%{version}.tar.gz
# Modified from upstream commit:
# https://github.com/LibRaw/LibRaw/commit/c14ae36d
Patch0:		LibRaw-0.14.7-CVE-2013-2126.patch
BuildRequires:	libgomp-devel
BuildRequires:	lcms2-devel
BuildRequires:	pkgconfig(jasper)

%description
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

Since LibRaw is linked against LibRaw-demosaic-pack-GPL2 and
LibRaw-demosaic-pack-GPL3 the global licence is GPLv3.

#-------------------------------------------------------------------------------

%package tools
Summary:	Tools available in %name
Group:		Graphics/Utilities
Obsoletes:	%{name} < %{version}-%{release}

%description tools
This packages provides tools to manipulate raw files.

%files tools
%{_bindir}/4channels
%{_bindir}/dcraw_emu
%{_bindir}/dcraw_half
%{_bindir}/half_mt
%{_bindir}/mem_image
%{_bindir}/multirender_test
%{_bindir}/postprocessing_benchmark
%{_bindir}/raw-identify
%{_bindir}/simple_dcraw
%{_bindir}/unprocessed_raw

#-------------------------------------------------------------------------------

%package -n %{lib_raw}
Summary:	Raw image decoder library (non-thread-safe)
Group:		System/Libraries

%description -n %{lib_raw}
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

%files -n %{lib_raw}
%doc README README.demosaic-packs
%{_libdir}/libraw.so.%{major}*

#-------------------------------------------------------------------------------

%package -n %{lib_raw_r}
Summary:	Raw image decoder library (thread-safe)
Group:		System/Libraries

%description -n %{lib_raw_r}
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

%files -n %{lib_raw_r}
%doc README README.demosaic-packs
%{_libdir}/libraw_r.so.%{major}*

#-------------------------------------------------------------------------------
 
%package -n %{devname}
Summary:	LibRaw development libraries
Group:		Development/C
Requires:	%{lib_raw} = %{version}-%{release}
Requires:	%{lib_raw_r} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}

%description -n %{devname}
LibRaw development files and headers.

%files -n %{devname}
%doc LICENSE.* Changelog.* README README.demosaic-packs html/
%{_includedir}/libraw/
%{_libdir}/libraw.so 
%{_libdir}/libraw_r.so
%{_libdir}/pkgconfig/libraw.pc
%{_libdir}/pkgconfig/libraw_r.pc

#-------------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version} -b 1 -b 2
%apply_patches

%build
%configure2_5x \
	--disable-openmp \
	--disable-static
%make

%install
%makeinstall_std

# The source tree has these with execute permissions for some reason
chmod 644 LICENSE.CDDL LICENSE.LGPL LICENSE.LibRaw.pdf

# let files section handle docs
rm -fr %{buildroot}%{_datadir}/doc/*

# move docs to a better location
mv doc html

# disable static build for sure
find %{buildroot} -name "*.la" -exec rm -rf {} \;


%changelog
* Sat Jun 01 2013 wally <wally> 0.14.7-5.1.mga3
+ Revision: 434290
- ad patch for CVE-2013-2126 (double-free flaw when handling damaged full-color in Foveon and sRAW files)

* Sat Jan 12 2013 umeabot <umeabot> 0.14.7-5.mga3
+ Revision: 358060
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Fri Nov 30 2012 ovitters <ovitters> 0.14.7-4.mga3
+ Revision: 323441
- clean spec
- fix rpm group

* Sun Jul 08 2012 fwang <fwang> 0.14.7-3.mga3
+ Revision: 268850
- br jasper

* Sun Jul 08 2012 fwang <fwang> 0.14.7-2.mga3
+ Revision: 268846
- use lcms2

* Sun Jul 08 2012 wally <wally> 0.14.7-1.mga3
+ Revision: 268841
- new version 0.14.7

* Sun Jun 03 2012 tv <tv> 0.14.6-1.mga3
+ Revision: 253663
- new release

* Tue Dec 27 2011 wally <wally> 0.14.5-1.mga2
+ Revision: 188169
- new version 0.14.5

* Wed Dec 14 2011 wally <wally> 0.14.4-1.mga2
+ Revision: 181533
- new version 0.14.4

* Fri Oct 28 2011 fwang <fwang> 0.14.3-1.mga2
+ Revision: 158927
- new version 0.14.3

  + schultz <schultz>
    - update to 0.14.1
    - clean .spec

* Sun Oct 09 2011 wally <wally> 0.14.0-1.mga2
+ Revision: 153494
- new version 0.14.0
- new major 5
- new version 0.13.8

* Tue Jul 05 2011 wally <wally> 0.13.6-2.mga2
+ Revision: 118879
- disable static build
- fix lib package summaries

* Mon Jul 04 2011 fwang <fwang> 0.13.6-1.mga2
+ Revision: 118392
- new version 0.13.6

* Tue Jun 14 2011 wally <wally> 0.13.5-1.mga2
+ Revision: 106182
- new version 0.13.5

* Sat May 07 2011 wally <wally> 0.13.2-4.mga1
+ Revision: 95859
- drop empty package
- libify devel package
- tag more files as doc
- prettify .spec a bit

* Thu Mar 24 2011 boklm <boklm> 0.13.2-3.mga1
+ Revision: 76181
- rebuild for bug #497

* Thu Mar 10 2011 mikala <mikala> 0.13.2-2.mga1
+ Revision: 67695
- Disable disable-openmp
- Remove _disable_ld_no_undefined

* Thu Mar 10 2011 mikala <mikala> 0.13.2-1.mga1
+ Revision: 67667
- use make instead of %%make
- Update tarball to 0.13.2
- Add LibRaw-demosaic-pack-GPL2
- Add LibRaw-demosaic-pack-GPL3
- Update License to GPLv3
- Add a -tools subpackage where binary are stored
- Clean spec
- imported package libraw


* Fri Jan 07 2011 Funda Wang <fwang@mandriva.org> 0.12.2-1mdv2011.0
+ Revision: 629452
- new version 0.12.2

* Thu Nov 25 2010 Funda Wang <fwang@mandriva.org> 0.10.0-1mdv2011.0
+ Revision: 600929
- update to new version 0.10.0

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 0.9.1-1mdv2011.0
+ Revision: 565591
- update tag
- import libraw


